The Spring Framework

## org.springframework.orm.toplink
Class TopLinkSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.UncategorizedDataAccessException
                                  org.springframework.orm.toplink.TopLinkSystemException

All Implemented Interfaces:
  Serializable

    public class TopLinkSystemException

extends UncategorizedDataAccessException

TopLink-specific subclass of UncategorizedDataAccessException, for TopLink system errors that do not match any concrete `org.springframework.dao` exceptions.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertTopLinkAccessException(oracle.toplink.exceptions.TopLinkException)`, Serialized Form

Constructor Summary
`TopLinkSystemException(oracle.toplink.exceptions.TopLinkException ex)`

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopLinkSystemException

    public TopLinkSystemException(oracle.toplink.exceptions.TopLinkException ex)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.